<template>
    <div id="gameplay">
        <div v-if="index != questions.length">
            <h1><b>Question {{index+1}} of {{questions.length}}</b></h1>
            <br>
            <quiz-question v-on:true-clicked="handleTrueClick" v-on:false-clicked="handleFalseClick" v-bind:question="questions[index]" />
        </div>
        <div v-if="questions.length > 0 && index==questions.length">
            <h1>Overview of results</h1>
            <quiz-results v-bind:userAnswers="userAnswers" v-bind:questions="questions" v-bind:score="score"/>
            <br>
            <router-link id="return-button" to="/" tag="button">Again please take?</router-link>
            <br>
            <br>
            <img src="../assets/baby-yoda-result-page.jpg"/>

        </div>
    </div>

</template>

<script>
import QuizQuestion from '../components/QuizQuestion.vue';
import QuizResults from '../components/QuizResults.vue'
import axios from 'axios';

export default {
    name: 'GamePlay',
    components: {
        QuizQuestion,
        QuizResults
    },
    created() {
        axios.get("https://opentdb.com/api.php?amount=10&category=9&difficulty=easy&type=boolean")
        .then(resp => resp.data)
        .then(resp =>{
            this.questions = resp.results || [];
            window.console.log(this.questions)
        })
    },
    data() {
        return {
            questions: [],
            index: 0,
            score: 0,
            userAnswers: []
        }
    },
    methods: {
        handleTrueClick(ans) {
            this.userAnswers.push(ans.user_answer)
            window.console.log("true trykket")
            this.index++;
            if (ans.user_answer === ans.correct_answer){
                this.score +=10
            }
            window.console.log("score:", this.score)


        },
        handleFalseClick(ans) {
            this.userAnswers.push(ans.user_answer)
            window.console.log("false trykket")
            this.index++;
            if (ans.user_answer === ans.correct_answer){
                this.score +=10
            }
            window.console.log("score:", this.score);

        },
    }
}
</script>

<style scoped>
h1 {
    color: rgb(39, 26, 15);
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}

#gameplay {
    text-align: center;
}

#return-button {
    background-color: rgb(207, 141, 83);
    border: none;
    padding: 20px 30px;
    font-size: 20px;
    cursor: pointer;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}
</style>